## fgrun 1.5.2

=== debian/changelog ===
fgrun (1.5.2-1) unstable; urgency=low

  * Initial release (closes: #590182).

 -- Christopher Baines <cbaines8@gmail.com>  Tue, 08 Feb 2011 22:18:09 +0000
