=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games 
#--datadir=/usr/share/games/fgrun
