## fgrun 1.6.0

=== debian/changelog ===
fgrun (1.6.0-1build1) quantal; urgency=low

  * No-change rebuild to drop simgear2.4.0 dependency.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 08 Sep 2012 12:55:37 +0400

fgrun (1.6.0-1) unstable; urgency=low

  * New upstream release (closes: 642661).
  * Added patch to fix #636366 Closes: #636366.
  * Removed plib dependency
  * Added watch file
  * Increased compat level to 8

 -- Christopher Baines <cbaines8@gmail.com>  Wed, 09 Nov 2011 11:18:56 +0000
