=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
 Uploaders: Christopher Baines <cbaines8@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libfltk1.1-dev, libplib-dev (>= 1.1.4), simgear-dev (>= 2.0.0), libboost-dev, zlib1g-dev (>= 1:1.1.4)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8.9.9), autotools-dev, libfltk1.1-dev, simgear-dev (>= 2.4.0), libboost-dev, zlib1g-dev (>= 1:1.2.3.4.dfsg-3)
+Standards-Version: 3.9.2
 Homepage: http://fgrun.sourceforge.net/
 
 Package: fgrun
