## fgrun 3.0.0

=== debian/changelog ===
fgrun (3.0.0-1) unstable; urgency=medium

  * Final upstream release.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 19 Feb 2014 08:42:33 -0800

fgrun (3.0.0~git20140130+80f6df0-1) unstable; urgency=low

  [ Rebecca Palmer ]
  * New upstream pre-release.
  * Correct B-D: drop autotools-dev, add cmake and fluid.
  * Tweak debian/rules, so we use proper build FLAGS.
  * Update simgear dependency. Closes: #719402, #718378.
  * Add patch to make cmake properly locate fltk-1.3.
  * Fix an issue with setting the scenery directory
    (fix-scenery-dir-bug.diff).

  [ Markus Wanner ]
  * Bump Standards-Version; no changes needed.
  * Adjust patche fix-cmake-dl.
  * Drop fix-format-string-warning, it got applied upstream.
  * Add patch to default to the Debian directories used during
    installation for ease of use.
  * Add myself as an uploader.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 10 Feb 2014 13:37:58 +0100

fgrun (1.7.0-1) unstable; urgency=low

  * New upstream release.
  * Set compat and debhelper dependency to 9
  * Set fltk dependency to 1.3 (from 1.1)
  * Set Standards-Version to 3.9.4
  * Remove some trailing whitespace from the description
  * Update the rules for cmake
  * Add Keywords to desktop file
  * Patch upstream source to build without warning from format string
  * Patch upstream source to link against libdl

 -- Christopher Baines <cbaines8@gmail.com>  Sun, 11 Aug 2013 15:12:59 +0200
