=== debian/watch ===
version=3
http://sf.net/fgrun/fgrun-(.+)\.tar\.gz
