## fgrun 3.4.0

=== debian/changelog ===
fgrun (3.4.0-0~exp1) experimental; urgency=medium

  [ Markus Wanner ]
  * New upstream release.

  [ Rebecca Palmer ]
  * Drop export-env.diff applied upstream.
  * Update simgear required version.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 18 Feb 2015 13:48:49 +0100

fgrun (3.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patch fltk1-3cmake.diff, instead enable SHARED_FLTK for the same
    effect.
  * Refresh other patches.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 31 Oct 2014 09:48:01 +0100

fgrun (3.0.0-2) unstable; urgency=medium

  * Add patch export-env.patch. Closes: #757178.
  * Bump S-V: No changes required.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 14 Oct 2014 21:53:17 +0200
