=== src/CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,7 @@
     ${INTL_LIBRARY}
     ${OPENPTY_LIBRARY}
     ${PLATFORM_LIBS}
+    ${OPENGL_LIBRARIES}
     )
 
 install(TARGETS fgrun RUNTIME DESTINATION bin)
