=== debian/changelog ===
fgrun (3.4.0.final-2build1) xenial; urgency=medium

  * No-change rebuild against libsimgearcore3.4.0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Mar 2016 14:51:06 -0700

fgrun (3.4.0.final-2) unstable; urgency=medium

  * Rebuild with gcc5, against renamed simgear.
  * Drop the menu file as per CTTE #741573.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 10 Nov 2015 19:45:59 +0100

fgrun (3.4.0.final-1) unstable; urgency=medium

  * New upstream version 3.4.0-final.
  * Update watchfile to handle -final postfix.
  * Correct d/copyright.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 22 May 2015 20:20:51 +0200
