=== po/CMakeLists.txt ===

if (ENABLE_NLS)
    gettext_create_translations( fgrun.pot ALL de.po es.po fr.po it.po ja.po nl.po pl.po pt.po zh_CN.po)
endif (ENABLE_NLS)
