=== debian/changelog ===
fgrun (2016.4.0-1) unstable; urgency=medium

  * Sponsored upload. Closes: #857131.
  * New upstream release. (Closes: #839357)
    - Drop patches applied upstream.
    - Refresh patches.
  * Add myself onto uploaders list.
  * Switch upstream to GitHub mirror.
    - Update corresponding debian/watch file using GitHub. (Closes: #851845)
  * Bump debhelper compat version to v10.
  * Apply "wrap-and-sort -abst".
  * Update Homepage information on SourceForge.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 11 Apr 2017 18:08:46 +0800

fgrun (3.4.0.final-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Rebase patches to be Debian friendly and fix build failures
    Closes: #830421
  * Bump std-version to 3.9.8, no changes required.
  * Make VCS fields in secure mode, and fix VCS-GIT

 -- Markus Wanner <markus@bluegap.ch>  Sun, 24 Jul 2016 10:25:55 +0200
