=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%fgrun-$1.tar.gz%" \
 https://github.com/FlightGear/fgrun/tags \
 (?:.*?/)?version/(\d[\d.]*)\.tar\.gz debian uupdate
